Subject: Re: bug#39171: 27.0.60; tramp: async-shell-command annoying scrolling

From: Michael Albinus <[email-masked]>
Date: Mon, 10 Feb 2020 20:01:25 +0100

Tino Calancha <[email-masked]> writes:

Hi Tino,

> emacs -Q
> ;; I visit /tmp
> C-x d /sudo::/tmp RET
> ;; prompted for pasword as usual; then I got my Dired buffer
> M-& date RET
> ;; Prompted for password (see Bug#39170)
> ;; once I put my password, the command executes and it shows
> ;; weird scrolling at *Async Shell Command*: the output at line 1
> ;; is not visible because the window shows the buffer from line 2
> ;; Same with each command regardless of output size: you cannot see
> ;; the output until you scroll up 'by hand'.

I've pushed a fix to master. Could you, pls, check?

Best regards, Michael.